package com.jjt.task;

import com.jjt.biz.service.IBizObjMetricsDataService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;

/**
 * 定时任务调度测试
 *
 * @author jjt
 */
@Component("cleanTask")
public class CleanTask {
    @Resource
    private IBizObjMetricsDataService dataService;

    /**
     * 清理历史数据
     */
    public void clean(Integer day) {
        LocalDate time = LocalDate.now();
        time = time.minusDays(day);
        Date date = Date.from(time.atStartOfDay(ZoneId.systemDefault()).toInstant());
        dataService.clean(date);
    }


}
